Show / Hide Table of Contents

# Class QueryExecuteBatchNotificationParams

Parameters to be sent back as part of a QueryExecuteBatchCompleteEvent to indicate that a batch of a query completed.

##### Inheritance

System.Object
QueryExecuteBatchNotificationParams

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.QueryExecution.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class QueryExecuteBatchNotificationParams

### Properties

| Improve this Doc View Source

#### BatchSummary

Summary of the batch that just completed

##### Declaration

    public BatchSummary BatchSummary { get; set; }

##### Property Value

Type | Description
--- | ---
BatchSummary |

| Improve this Doc View Source

#### OwnerUri

URI for the editor that owns the query

##### Declaration

    public string OwnerUri { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |